using Newtonsoft.Json;
using Pms.DataLibrary.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.Models
{
    public class MidTaskInfoEx : MidTaskInfo
    {
        [JsonIgnore]
        public Dictionary<string, string> ParametersDic { get; set; } = new Dictionary<string, string>();

        public MidTaskInfoEx()
        {
            TaskId = DateTime.Now.ToString("yyyyMMddHHmmssfffffff");
            AgvType = "0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15";
        }

        public void SerializeParameters()
        {
            Parameters = JsonConvert.SerializeObject(ParametersDic);
        }
    }
}
